Parma_Polyhedra_Library::Unary_Operator_Common< Target > Class Template Reference

Base class for unary operator applied to one concrete expression. More...

`#include <ppl.hh>`

## Public Member Functions

Concrete_Expression_UOP | unary_operator () const
| Returns a constant identifying the operator of `*this`.
const Concrete_Expression< Target > * | argument () const
| Returns the argument `*this`.

## Detailed Description

### template<typename Target>
class Parma_Polyhedra_Library::Unary_Operator_Common< Target >

Base class for unary operator applied to one concrete expression.

The documentation for this class was generated from the following file:

- ppl.hh